// aplListCtrl.cpp: implementation of the CaplListCtrl class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "AplGuiEx.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

/////////////////////////////////////////////////////////////////////////////
// CTabCtrlEx
CTabCtrlEx::CTabCtrlEx():CTabCtrl()
{
}

CTabCtrlEx::~CTabCtrlEx()
{
}

BOOL CTabCtrlEx::SetItemData(int nItem, DWORD dwData)
{
	TCITEM tcItem;
	tcItem.mask = TCIF_PARAM;
	tcItem.lParam = dwData;
	return SetItem(nItem, &tcItem);
}

DWORD CTabCtrlEx::GetItemData(int nItem)
{
	TCITEM tcItem;
	tcItem.mask = TCIF_PARAM;
	if(!GetItem(nItem, &tcItem)) return 0;

	return tcItem.lParam;
}
